## visad.data.netcdf.in
Class Strategy

    java.lang.Object
      visad.data.netcdf.in.Strategy

Direct Known Subclasses:
  CompositeStrategy, FileStrategy, InMemoryStrategy

public abstract class Strategy
extends Object

A strategy for importing a netCDF dataset.

Field Summary
`static Strategy` `DEFAULT` The default import strategy.
`static Strategy` `IN_MEMORY` An import strategy that first tries the `InMemoryStrategy` strategy and then tries the `MERGED_FILE_FLAT_FIELDS` strategy.
`static Strategy` `MERGED_FILE_FLAT_FIELDS` An import strategy that first tries the `FileStrategy` strategy and then tries the `UNMERGED_FILE_FLAT_FIELDS` strategy.
`static Strategy` `UNMERGED_FILE_FLAT_FIELDS` An import strategy that only tries the `MaxFileFieldStrategy` strategy.

Constructor Summary
`protected` `Strategy()` Constructs from nothing.

Method Summary
`abstract DataImpl` `getData(NetcdfAdapter adapter)` Returns a VisAD data object corresponding to the netCDF dataset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNMERGED_FILE_FLAT_FIELDS

    public static final Strategy UNMERGED_FILE_FLAT_FIELDS

  An import strategy that only tries the `MaxFileFieldStrategy` strategy.

### MERGED_FILE_FLAT_FIELDS

    public static final Strategy MERGED_FILE_FLAT_FIELDS

  An import strategy that first tries the `FileStrategy` strategy and then tries the `UNMERGED_FILE_FLAT_FIELDS` strategy.

### IN_MEMORY

    public static final Strategy IN_MEMORY

  An import strategy that first tries the `InMemoryStrategy` strategy and then tries the `MERGED_FILE_FLAT_FIELDS` strategy.

### DEFAULT

    public static final Strategy DEFAULT

  The default import strategy. The details of this strategy are unspecified and subject to change. Currently, it is identical to the `MERGED_FILE_FLAT_FIELDS` strategy.

Constructor Detail

### Strategy

    protected Strategy()

  Constructs from nothing.

Method Detail

### getData

    public abstract DataImpl getData(NetcdfAdapter adapter)
                              throws IOException,
                                     VisADException,
                                     RemoteException,
                                     BadFormException,
                                     OutOfMemoryError

  Returns a VisAD data object corresponding to the netCDF dataset.

  Parameters:
    `adapter` - The netCDF-to-VisAD adapter.
  Returns:
    The top-level, VisAD data object of the netCDF dataset.
  Throws:
    `VisADException` - if a problem occurs in core VisAD -- probably because a VisAD object couldn't be created.
    `IOException` - if a data access I/O failure occurs.
    `BadFormException` - if the netCDF dataset doesn't conform to conventions implicit in constructing View.
    `OutOfMemoryError` - if the netCDF dataset couldn't be imported into memory.
    `RemoteException` - if a Java RMI failure occurs.